Async and non-blocking hostname to IP lookup

- « Swoole Functions

- swoole_async_read »

- PHP Manual
- Swoole Functions
- Async and non-blocking hostname to IP lookup

# swoole_async_dns_lookup

(PECL swoole >= 1.9.0)

swoole_async_dns_lookup — Async and non-blocking hostname to IP lookup

### Description

swoole_async_dns_lookup(string `$hostname`, callable `$callback`): bool

### Parameters

`hostname`

  The host name.

`callback`
  callback(string `$hostname`, string `$ip`): mixed
  `hostname`

    The host name.

  `IP`

    The IP address.

### Return Values

Returns `true` on success or `false` on failure.